# Distribution

interface Distribution : Named

A distribution allows to bundle an application or a library including dependencies, sources...

## Functions

contents
Link copied to clipboard
abstract fun contents(action: Action<in CopySpec>): CopySpec
Configures the contents of the distribution.
getContents
Link copied to clipboard
abstract fun getContents(): CopySpec
The contents of the distribution.
getDistributionBaseName
Link copied to clipboard
abstract fun getDistributionBaseName(): Property<String>
The baseName of the distribution, used in naming the distribution archives.
getDistributionClassifier
Link copied to clipboard
@Incubating
abstract fun getDistributionClassifier(): Property<String>
The classifier of the distribution, used as the archive classifier in the archives of this distribution.
getName
Link copied to clipboard
abstract fun getName(): String
The name of this distribution.